Developer docs
Patch Connector
PATCH
/v1/connectors/{source_id}
const url = 'https://example.com/v1/connectors/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","config":{},"secret_ref":"example","schedule_seconds":1,"enabled":true,"reset_cursor":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/connectors/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "config": {}, "secret_ref": "example", "schedule_seconds": 1, "enabled": true, "reset_cursor": false }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”source_id
required
Source Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Patch Connector V1 Connectors Source Id Patch
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}